﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Config.aspx.cs" Inherits="IT_Admins___Search.Config" %>
<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
    <div class="jumbotron">
        <h1><asp:Label ID="LabelTitle" runat="server" Text="Label for Title"></asp:Label></h1>
    </div>

    <div class="row">
        <div class="col-md-4" >
            <h2>Configuration</h2>
            <asp:Panel ID="Panel_ServerShares" runat="server">
                <h3>Named TAGs</h3><asp:UpdatePanel ID="UpdatePanel5" runat="server">
                    <ContentTemplate>
                        <asp:Table ID="TableNewTAGs" runat="server">
                            <asp:TableHeaderRow>
                                <asp:TableHeaderCell>tag</asp:TableHeaderCell>
                                <asp:TableHeaderCell>display name</asp:TableHeaderCell>
                                <asp:TableHeaderCell>description</asp:TableHeaderCell>
                                <asp:TableHeaderCell>LDAP Group filter</asp:TableHeaderCell>
                                <asp:TableHeaderCell>&nbsp;</asp:TableHeaderCell>
                            </asp:TableHeaderRow>
                            <asp:TableRow>
                                <asp:TableCell><asp:TextBox ID="TBNew_tag" runat="server"></asp:TextBox></asp:TableCell>
                                <asp:TableCell><asp:TextBox ID="TBNew_displayname" runat="server"></asp:TextBox></asp:TableCell>
                                <asp:TableCell><asp:TextBox ID="TBNew_description" runat="server"></asp:TextBox></asp:TableCell>
                                <asp:TableCell><asp:TextBox ID="TBNew_ADGroup" runat="server"></asp:TextBox></asp:TableCell>
                                <asp:TableCell><asp:Button ID="ButtonNewTag" runat="server" OnClick="ButtonAddNewTag_Click" Text="Add new" /></asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                    </ContentTemplate>
                </asp:UpdatePanel>
                <br />
                <h3>Existing named TAG entries</h3><asp:UpdatePanel ID="UpdatePanel4" runat="server">
                    <ContentTemplate>

                        <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="1px" CellPadding="3" GridLines="Vertical" OnRowCancelingEdit="GridView2_RowCancelingEdit" OnRowDeleting="GridView2_RowDeleting" OnRowEditing="GridView2_RowEditing" OnRowUpdating="GridView2_RowUpdating" Width="1170px">
                            <AlternatingRowStyle BackColor="Gainsboro" />
                            <Columns>
                                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
                                <asp:BoundField AccessibleHeaderText="Id" DataField="Id" HeaderText="Id" ReadOnly="True">
                                <ItemStyle Width="0px" />
                                </asp:BoundField>
                                <asp:BoundField AccessibleHeaderText="tag" DataField="tag" HeaderText="tag" />
                                <asp:BoundField AccessibleHeaderText="display name" DataField="friendlyname" HeaderText="display name" />
                                <asp:BoundField AccessibleHeaderText="description" DataField="description" HeaderText="description" />
                                <asp:BoundField AccessibleHeaderText="ADGroupName" DataField="ADGroupName" HeaderText="AD group name" />
                            </Columns>
                            <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
                            <HeaderStyle BackColor="#000084" Font-Bold="True" ForeColor="White" />
                            <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" />
                            <RowStyle BackColor="#EEEEEE" ForeColor="Black" CssClass="GridViewRowHover" />
                            <SelectedRowStyle BackColor="#008A8C" Font-Bold="True" ForeColor="White" />
                            <SortedAscendingCellStyle BackColor="#F1F1F1" />
                            <SortedAscendingHeaderStyle BackColor="#0000A9" />
                            <SortedDescendingCellStyle BackColor="#CAC9C9" />
                            <SortedDescendingHeaderStyle BackColor="#000065" />
                        </asp:GridView>
                    </ContentTemplate>
                </asp:UpdatePanel>
                <br />
                <h3>Application parameters</h3><asp:UpdatePanel ID="UpdatePanel6" runat="server">
                    <ContentTemplate>
                        <asp:GridView ID="GridView3" runat="server" AutoGenerateColumns="False" BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="1px" CellPadding="3" GridLines="Vertical" OnRowCancelingEdit="GridView3_RowCancelingEdit" OnRowEditing="GridView3_RowEditing" OnRowUpdating="GridView3_RowUpdating" Width="1170px">
                            <AlternatingRowStyle BackColor="Gainsboro" />
                            <Columns>
                                <asp:CommandField ShowEditButton="True" />
                                <asp:BoundField AccessibleHeaderText="Id" DataField="Id" HeaderText="Id" ReadOnly="True" />
                                <asp:BoundField AccessibleHeaderText="Parameter" DataField="Parameter" HeaderText="parameter" ReadOnly="True" />
                                <asp:BoundField AccessibleHeaderText="SubParameter" DataField="SubParameter" HeaderText="sub parameter" ReadOnly="True" />
                                <asp:BoundField AccessibleHeaderText="Value" DataField="Value" HeaderText="value" />
                                <asp:BoundField AccessibleHeaderText="Description" DataField="Description" HeaderText="description" ReadOnly="True" />
                            </Columns>
                            <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
                            <HeaderStyle BackColor="#000084" Font-Bold="True" ForeColor="White" />
                            <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" />
                            <RowStyle BackColor="#EEEEEE" ForeColor="Black" CssClass="GridViewRowHover" />
                            <SelectedRowStyle BackColor="#008A8C" Font-Bold="True" ForeColor="White" />
                            <SortedAscendingCellStyle BackColor="#F1F1F1" />
                            <SortedAscendingHeaderStyle BackColor="#0000A9" />
                            <SortedDescendingCellStyle BackColor="#CAC9C9" />
                            <SortedDescendingHeaderStyle BackColor="#000065" />
                        </asp:GridView>
                    </ContentTemplate>
                </asp:UpdatePanel>
                <br />
                <h3>Application Logo</h3><asp:UpdatePanel ID="UpdatePanel7" runat="server">
                    <ContentTemplate>
                        <asp:FileUpload ID="FileUploadLogo" runat="server" />
                        <asp:Button ID="ButtonUploadLogo" runat="server" Text="Upload Logo" OnClick="ButtonUploadLogo_Click" />
                        <asp:Label runat="server" id="LogoStatusLabel" text="Upload status: " />
                        <asp:Button ID="ButtonDeleteLogo" runat="server" Text="Delete Logo" OnClick="ButtonDeleteLogo_Click" />
                    </ContentTemplate>
                    <Triggers>
                        <asp:PostBackTrigger  ControlID="ButtonUploadLogo" />
                    </Triggers>
                </asp:UpdatePanel>
                <asp:UpdatePanel ID="UpdatePanel8" runat="server">
                    <ContentTemplate>
                        
                    </ContentTemplate>
                    <Triggers>
                        <asp:PostBackTrigger ControlID="ButtonDeleteLogo" />
                    </Triggers>
                </asp:UpdatePanel>
                <br />
                <h3>Search targets</h3><asp:UpdatePanel ID="UpdatePanel2" runat="server">
                    <ContentTemplate>
                        <asp:Table ID="Table2" runat="server">
                            <asp:TableHeaderRow>
                                <asp:TableHeaderCell>server</asp:TableHeaderCell>
                                <asp:TableHeaderCell>share</asp:TableHeaderCell>
                                <asp:TableHeaderCell>client path</asp:TableHeaderCell>
                                <asp:TableHeaderCell>tags</asp:TableHeaderCell>
                                <asp:TableHeaderCell>&nbsp;</asp:TableHeaderCell>
                            </asp:TableHeaderRow>
                            <asp:TableRow>
                                <asp:TableCell><asp:TextBox ID="TBNew_server0" runat="server"></asp:TextBox></asp:TableCell>
                                <asp:TableCell><asp:TextBox ID="TBNew_share0" runat="server"></asp:TextBox></asp:TableCell>
                                <asp:TableCell><asp:TextBox ID="TBNew_clientpath0" runat="server"></asp:TextBox></asp:TableCell>
                                <asp:TableCell><asp:TextBox ID="TBNew_tags0" runat="server"></asp:TextBox></asp:TableCell>
                                <asp:TableCell><asp:Button ID="ButtonAddNewShare1" runat="server" OnClick="ButtonAddNewShare_Click" Text="Add new" /></asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                    </ContentTemplate>
                </asp:UpdatePanel>
                <br />
                <h3>Existing search targets</h3><asp:UpdatePanel ID="UpdatePanel1" runat="server">
                    <ContentTemplate>
                        <asp:GridView ID="GridView1" runat="server" OnRowCancelingEdit="GridView1_RowCancelingEdit" OnRowEditing="GridView1_RowEditing" OnRowUpdating="GridView1_RowUpdating" AllowSorting="True" AutoGenerateColumns="False" BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="1px" CellPadding="3" GridLines="Vertical" OnRowDeleting="GridView1_RowDeleting" OnSorting="GridView1_Sorting" Width="1170px">
                            <AlternatingRowStyle BackColor="#DCDCDC" />
                            <Columns>
                                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
                                <asp:BoundField AccessibleHeaderText="Id" DataField="Id" HeaderText="Id" ReadOnly="True" >
                                <ItemStyle Width="0px" />
                                </asp:BoundField>
                                <asp:BoundField AccessibleHeaderText="ServerName" DataField="ServerName" HeaderText="server" />
                                <asp:BoundField AccessibleHeaderText="ShareName" DataField="ShareName" HeaderText="share" />
                                <asp:BoundField AccessibleHeaderText="clientpath" DataField="ClientPath" HeaderText="client path" />
                                <asp:BoundField AccessibleHeaderText="tags" DataField="Tags" HeaderText="tags" />
                            </Columns>
                            <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
                            <HeaderStyle BackColor="#000084" Font-Bold="True" ForeColor="White" />
                            <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" />
                            <RowStyle BackColor="#EEEEEE" ForeColor="Black" CssClass="GridViewRowHover" />
                            <SelectedRowStyle BackColor="#008A8C" Font-Bold="True" ForeColor="White" />
                            <SortedAscendingCellStyle BackColor="#F1F1F1" />
                            <SortedAscendingHeaderStyle BackColor="#0000A9" />
                            <SortedDescendingCellStyle BackColor="#CAC9C9" />
                            <SortedDescendingHeaderStyle BackColor="#000065" />
                        </asp:GridView>
                    </ContentTemplate>
                </asp:UpdatePanel>
                <br />
                <asp:UpdatePanel ID="UpdatePanel3" runat="server">
                    <ContentTemplate>
                        <asp:Button ID="ButtonValidate" runat="server" OnClick="ButtonValidate_Click" Text="validate connection to all entries" ToolTip="please wait till you see the results - this can take several seconds" />
                        <br />
                        <asp:Label ID="LabelValidation" runat="server" Text="Label" Width="1000px"></asp:Label>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>
        </div>
    </div>
</asp:Content>
